{-| Module  : FiniteCategories
Description : Examples of 'CommaCategory' pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Examples of 'CommaCategory' pretty printed.
-}
module Math.FiniteCategories.CommaCategory.Example
(
    main
)
where
    import qualified Data.WeakSet as Set
    import Data.WeakSet.Safe
    import Data.WeakMap.Safe
    
    import Math.FiniteCategory
    import Math.Categories
    import Math.FiniteCategories
    import Math.IO.PrettyPrint
    
    -- | Examples of 'CommaCategory' pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.CommaCategory.Example"
        putStrLn $ pprintFiniteCategory (numberCategory 4)
        let Just slice = sliceCategory (numberCategory 4) 2
        let Just coslice = cosliceCategory (numberCategory 4) 2
        putStrLn $ pprintFiniteCategory slice
        putStrLn $ pprintFiniteCategory coslice
        putStrLn $ pprintFiniteCategory (arrowCategory (numberCategory 4))
        putStrLn "End of Math.FiniteCategories.CommaCategory.Example"