{-| Module  : FiniteCategories
Description : An example of 'FullSubcategory' of __'FinGrph'__ pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of 'FullSubcategory' of __'FinGrph'__ pretty printed.


-}
module Math.FiniteCategories.FinGrph.Example
(
    main
)
where
    import              Data.WeakSet        (Set)
    import qualified    Data.WeakSet    as  Set
    import              Data.WeakSet.Safe
    import              Data.WeakMap        (Map)
    import qualified    Data.WeakMap    as  Map
    import              Data.WeakMap.Safe
    import              Data.Text           (Text, pack)
    
    import              Math.Categories  
    import              Math.FiniteCategories
    import              Math.IO.PrettyPrint
    import              Math.FiniteCategory
    
    
    import              Numeric.Natural
    
    
    -- | A 'FullSubcategory' __'FinGrph'__ pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.FinGrph.Example"
        let c = FullSubcategory FinGrph $ (underlyingGraphFormat id (const.pack $ "")).numberCategory <$> set [0..2] :: FullSubcategory (FinGrph Natural Text) (GraphHomomorphism Natural Text) (Graph Natural Text)
        putStrLn $ pprintFiniteCategory c 
        putStrLn "End of Math.FiniteCategories.FinGrph.Example"