{-| Module  : FiniteCategories
Description : An example of opposite category pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of opposite category pretty printed.


-}
module Math.FiniteCategories.Opposite.Example
(
    main
)
where
    import Data.WeakSet         (powerSet, Set)
    import Data.WeakSet.Safe
    
    import Math.Categories
    import Math.FiniteCategories
    import Math.FiniteCategory
    import Math.IO.PrettyPrint
    
    
    -- | An example of opposite category pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Opposite.Example"
        putStrLn $  pprintFiniteCategory (ens.powerSet.set $ "AB") 
        putStrLn $  pprintFiniteCategory (Op (ens.powerSet.set $ "AB")) 
        putStrLn $  pprintFiniteCategory (numberCategory 4) 
        putStrLn $  pprintFiniteCategory (Op (numberCategory 4)) 
        putStrLn "End of Math.FiniteCategories.Opposite.Example"