{-| Module  : FiniteCategories
Description : An exemple of a 'diagonalFunctor' pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An exemple of 'diagonalFunctor' pretty printed.


-}
module Math.Functors.DiagonalFunctor.Example
(
    main
)
where
    import              Math.FiniteCategory  
    import              Math.FiniteCategories.DiscreteCategory
    import              Math.FiniteCategories.V
    import              Math.Functors.DiagonalFunctor
    import              Math.IO.PrettyPrint
    import              Math.FiniteCategory

    
    import              Data.WeakSet             (Set)
    import qualified    Data.WeakSet           as Set
    import              Data.WeakSet.Safe
    import              Data.WeakMap             (Map)
    import qualified    Data.WeakMap           as Map
    import              Data.WeakMap.Safe
    
    -- | An exemple of 'diagonalFunctor' pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.Functors.DiagonalFunctor.Example"
        putStrLn $ pprintFiniteCategory (discreteCategory (set [1 :: Int,2])) 
        putStrLn $ pprintFiniteCategory V 
        putStrLn $ pprint (diagonalFunctor (discreteCategory (set [1 :: Int,2])) V) 
        putStrLn "End of Math.Functors.DiagonalFunctor.Example"